/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TopologyVO.as 2560 2008-10-10 12:13:01Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.vo {

    import com.adobe.cairngorm.vo.IValueObject;
    import mx.collections.ArrayCollection;

    [RemoteClass(alias = "org.ow2.jasmine.jadort.api.entities.topology.TopologyBean")]
    [Bindable]
    public class TopologyVO implements IValueObject {

        [ArrayElementType(GroupVO)]
        private var topologyGroups : ArrayCollection;

        public function TopologyVO()
        {
                super();
        }

        public function get groups() : ArrayCollection{
            return topologyGroups;
        }

        public function set groups(topologyGroups : ArrayCollection) : void {
            this.topologyGroups = topologyGroups;
        }
    }

}